name: nf-core AWS test
# This workflow can be triggered manually with the GitHub actions workflow dispatch button.
# It runs the -profile 'test' on AWS batch

on:
  workflow_dispatch:
jobs:
  run-platform:
    name: Run AWS tests
    if: github.repository == 'nf-core/deepmodeloptim'
    runs-on: ubuntu-latest
    steps:
      # Launch workflow using Seqera Platform CLI tool action
      - name: Launch workflow via Seqera Platform
        uses: seqeralabs/action-tower-launch@v2
        with:
          workspace_id: ${{ secrets.TOWER_WORKSPACE_ID }}
          access_token: ${{ secrets.TOWER_ACCESS_TOKEN }}
          compute_env: ${{ secrets.TOWER_COMPUTE_ENV }}
          revision: ${{ github.sha }}
          workdir: s3://${{ secrets.AWS_S3_BUCKET }}/work/deepmodeloptim/work-${{ github.sha }}
          parameters: |
            {
              "outdir": "s3://${{ secrets.AWS_S3_BUCKET }}/deepmodeloptim/results-test-${{ github.sha }}"
            }
          profiles: test

      - uses: actions/upload-artifact@v4
        with:
          name: Seqera Platform debug log file
          path: |
            seqera_platform_action_*.log
            seqera_platform_action_*.json
